<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 05/29/2004 *
 * ===============                              Last change: 11/26/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : autopurge.php                                    *
 * -------------------------------------------------------------------- *
 * Short description : Automatical purging of outdated mail links       *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Auto-Loeschung von veralteten Mail-Links         *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
} // END - if

// Load all includes
$INC_POOL = GET_DIR_AS_ARRAY(PATH."inc/autopurge/", "purge-");

// Include them all
foreach ($INC_POOL as $fqfn) {
	// Load them only once
	require_once($fqfn);
} // END - foreach

// Remove array
unset($INC_POOL);

if (EXT_IS_ACTIVE("rallye")) {
	// Check expired rallyes (hard-coded 3 days limit for displaying expired rallyes!)
	require_once(PATH."inc/libs/rallye_functions.php");
	RALLYE_DELETE_EXPIRED_RALLYES();
}

//
?>
